Skip to main content
POST
Move a project group

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Path Parameters

id
string
required

The group's groupId.

Required string length: 1 - 200

Body

application/json
beforeGroupId
string | null
required
Required string length: 1 - 200
idempotencyKey
string
required
Required string length: 1 - 200

Response

Move a project group

groupId
string
required
Required string length: 1 - 200
name
string
required
Minimum string length: 1
position
integer
required
Required range: x >= 0